## libdrm 2.4.39

=== debian/changelog ===
libdrm (2.4.39-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (2.4.39).
  * debian/source/format: 3.0 (quilt)
  * debian/patches:
    - 000_debian-changes.patch: add pre 3.0 (quilt) modified upstream files
  * debian/control, debian/rules, debian/*.install:
    - s/libdrm-nouveau1*/libdrm-nouveau2/
  * debian/lib*.symbols: update

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Wed, 19 Sep 2012 20:16:40 +0400

libdrm (2.4.33-3) unstable; urgency=low

  * Add missing dependency on libdrm-omap1 to libdrm-dev (thanks, Robert
    Hooker!).  Make some arm matching a bit simpler.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Jun 2012 23:22:22 +0200

libdrm (2.4.33-2) unstable; urgency=low

  [ Sebastian Reichel ]
  * Build libdrm_omap (closes: #667572).

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Jun 2012 22:39:22 +0200

libdrm (2.4.33-1) unstable; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 02 Apr 2012 01:28:22 +0000

libdrm (2.4.32-1) unstable; urgency=low

  [ Robert Hooker ]
  * New upstream release (2.4.31).
  * Bump libdrm2 and libdrm-radeon1 symbols and shlibs to account for
    recent changes.

  [ Cyril Brulebois ]
  * New upstream release (2.4.32).
  * Bump libdrm-intel1's symbols and shlibs accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 19 Mar 2012 19:56:12 +0000

libdrm (2.4.30-1) unstable; urgency=low

  * New upstream release.
  * Bump libdrm2's and libdrm-intel1's symbols and shlibs accordingly.
  * Document the symlink dance when building from git in README.source.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 06 Jan 2012 20:04:37 +0100

libdrm (2.4.29-1) unstable; urgency=low

  * New upstream release:
    - assert()s are now gone (Closes: #651316).
  * Update libdrm-intel1's symbols and shlibs accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 Dec 2011 13:16:22 +0100

libdrm (2.4.28-1) unstable; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 06 Dec 2011 15:17:50 +0100

libdrm (2.4.27-1) unstable; urgency=low

  * New upstream release:
    - Push the new Intel API for use by mesa.
    - Usual bug fixes.
  * Update libdrm-intel1's symbols and shlibs accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 Nov 2011 19:30:54 +0100

libdrm (2.4.26-1) unstable; urgency=low

  * New upstream release:
    - Fix two important intel bugs.
  * Add libpciaccess-dev build-dep.
  * Update libdrm-intel1.symbols and shlibs for new aperture-related symbol.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Jun 2011 17:07:04 +0200

libdrm (2.4.25-3) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Add lintian overrides for symbols-declares-dependency-on-other-package (we
    use that for private symbols).
  * Bump Standards-Version to 3.9.2.

 -- Julien Cristau <jcristau@debian.org>  Thu, 09 Jun 2011 20:05:53 +0200

libdrm (2.4.25-2) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 16 May 2011 19:14:49 +0200

libdrm (2.4.25-1) experimental; urgency=low

  * New upstream release.
  * Update libdrm2.symbols and shlibs.
  * Update libkms1.symbols, marking dumb_create@Base as private.
  * Switch to dh:
    - Bump compat/build-dep to 8.
    - Use dh-autoreconf.
    - Tidy old build-deps.
    - Testsuite now automatically gets run.
  * Accordingly, add a build-dep to fix FTBFS during make check:
    - 03_build_against_librt.diff
  * Add libudev-dev build-dep on Linux so that detection works.
  * Since the testsuite just got enabled, let's not bail out if it fails.
  * Remove xsfbs as it's no longer needed.
  * Bump Standards-Version (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 19 Apr 2011 02:57:29 +0200

libdrm (2.4.24-2) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 10 Apr 2011 22:57:02 +0200

libdrm (2.4.24-1) experimental; urgency=low

  [ Christopher James Halse Rogers ]
  * New upstream release.
  * Add new internal radeon symbols to libkms1.symbols

  [ Cyril Brulebois ]
  * Just as a reminder, not adding a lintian override for the following
    warning, since patches were sent upstream to stop exporting private
    symbols: symbols-declares-dependency-on-other-package

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Mar 2011 20:27:23 +0100

libdrm (2.4.23-3) unstable; urgency=low

  * Cherry-pick from upstream:
    - intel: Fallback to old exec if no mrb_exec is available
    - intel: Set the public handle after opening by name
    - intel: Remember named bo
  * The first of those fixes should fix some failures to submit batch
    buffer (Closes: #612766).
  * Bump dependency to 2.4.23-3 for the drm_intel_bo_mrb_exec symbol in
    libdrm-intel1's symbols file. While the former version is alright
    from a shared object point of view, runtime doesn't seem to agree
    (Closes: #609299).
  * Bump the libdrm-intel1 shlibs version for consistency.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 16 Feb 2011 11:44:44 +0100

libdrm (2.4.23-2) unstable; urgency=low

  * Upload to unstable.
  * Update Uploaders list. Thanks, David & Brice!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 11:26:44 +0100

libdrm (2.4.23-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Rename the libdrm-nouveau1 package to libdrm-nouveau1a, since upstream
    broke the ABI without changing the soname.
    - Make libdrm-nouveau1a{,-dbg} conflict with libdrm-nouveau1{,-dbg} and
      remove the Breaks against xserver-xorg-video-nouveau.
    - Adjust the lintian override.
    - Bump libdrm-nouveau shlibs and symbols versions to 2.4.23.
  * Use dh_prep instead of the deprecated dh_clean -k in debian/rules.

 -- Julien Cristau <jcristau@debian.org>  Thu, 23 Dec 2010 17:56:54 +0100

libdrm (2.4.22-2) experimental; urgency=low


