=== debian/control ===
Source: libdrm
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 8.1.2ubuntu2),
 dh-autoreconf,
 quilt,
 libx11-dev,
 pkg-config,
 libpthread-stubs0-dev,
 libudev-dev [linux-any],
 libpciaccess-dev,
Standards-Version: 3.9.2
Section: libs
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/libdrm
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/libdrm.git

Package: libdrm-dev
Section: libdevel
Architecture: any
Depends:
 libdrm2 (= ${binary:Version}),
 libdrm-intel1 (= ${binary:Version}) [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libdrm-radeon1 (= ${binary:Version}) [linux-any],
 libdrm-nouveau2 (= ${binary:Version}) [linux-any],
 libdrm-omap1 (= ${binary:Version}) [any-arm],
 libkms1 (= ${binary:Version}) [linux-any],
 ${misc:Depends},
Replaces:
 linux-libc-dev (<< 2.6.32-10)
Description: Userspace interface to kernel DRM services -- development files
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the development environment for libdrm.

Package: libdrm2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Userspace interface to kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the runtime environment for libdrm.

Package: libdrm2-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libdrm2 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides debugging symbols for the libdrm2 package.

Package: libdrm-intel1
Section: libs
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to intel-specific kernel DRM services -- runtime
 This library implements the userspace interface to the intel-specific kernel
 DRM services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-intel1-dbg
Section: debug
Priority: extra
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
Depends:
 libdrm-intel1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to intel-specific kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-intel1 package.

Package: libdrm-nouveau2
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Conflicts: libdrm-nouveau2
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to nouveau-specific kernel DRM services -- runtime
 This library implements the userspace interface to the nouveau-specific kernel
 DRM services. DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-nouveau2-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: libdrm-nouveau2 (= ${binary:Version}),
 ${misc:Depends},
Conflicts: libdrm-nouveau2-dbg
Multi-Arch: same
Description: Userspace interface to nouveau-specific kernel DRM -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-nouveau2 package.

Package: libdrm-radeon1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to radeon-specific kernel DRM services -- runtime
 This library implements the userspace interface to the radeon-specific kernel
 DRM services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-radeon1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libdrm-radeon1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to radeon-specific kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-radeon1 package.

Package: libkms1
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Userspace interface to kernel DRM buffer management
 This library implements a unified userspace interface to the different buffer
 management interfaces of the kernel DRM hardware drivers.

Package: libkms1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: libkms1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Userspace interface to kernel DRM buffer management -- debugging symbols
 This library implements a unified userspace interface to the different buffer
 management interfaces of the kernel DRM hardware drivers.
 .
 This package provides the debugging symbols for the libkms1 package.

Package: libdrm-omap1
Section: libs
Architecture: any-arm
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to omap-specific kernel DRM services -- runtime
 This library implements the userspace interface to the omap-specific kernel
 DRM services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI). The DRI is
 currently used on Linux to provide hardware-accelerated OpenGL drivers.

Package: libdrm-omap1-dbg
Section: debug
Priority: extra
Architecture: any-arm
Depends:
 libdrm-omap1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to omap-specific kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM services.
 DRM stands for "Direct Rendering Manager", which is the kernelspace portion
 of the "Direct Rendering Infrastructure" (DRI). The DRI is currently used on
 Linux to provide hardware-accelerated OpenGL drivers.
 .
 This package provides the debugging symbols for the libdrm-omap1 package.
