=== debian/rules ===
#!/usr/bin/make -f

###
### Configuration, decide what to build
###

# Some variables:
DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# Linux vs. the rest:
ifeq (linux, $(DEB_HOST_ARCH_OS))
	confflags += --enable-udev
	confflags += --enable-libkms
	LIBKMS = yes
	confflags += --enable-vmwgfx-experimental-api
	confflags += --enable-nouveau-experimental-api
	NOUVEAU = yes
	confflags += --enable-radeon
	RADEON = yes
else
	confflags += --disable-udev
	confflags += --disable-libkms
	LIBKMS = no
	confflags += --disable-vmwgfx-experimental-api
	confflags += --disable-nouveau-experimental-api
	NOUVEAU = no
	confflags += --disable-radeon
	RADEON = no
endif

# Intel is only on x86:
ifneq (,$(filter amd64 i386,$(DEB_HOST_ARCH_CPU)))
ifneq (,$(filter linux kfreebsd,$(DEB_HOST_ARCH_OS)))
	INTEL = yes
endif
endif
ifeq ($(INTEL), yes)
	confflags += --enable-intel
else
	confflags += --disable-intel
endif

# Omap is only on arm
ifneq (,$(filter arm,$(DEB_HOST_ARCH_CPU)))
	OMAP = yes
endif
ifeq ($(OMAP), yes)
	confflags += --enable-omap-experimental-api
else
	confflags += --disable-omap-experimental-api
endif

###
### Actual build
###

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=yes $(confflags)

override_dh_auto_test:
	dh_auto_test || echo "Test suite failure, but keeping on anyway"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_strip:
	dh_strip -plibdrm2 --dbg-package=libdrm2-dbg
ifeq ($(INTEL), yes)
	dh_strip -plibdrm-intel1 --dbg-package=libdrm-intel1-dbg
endif
ifeq ($(NOUVEAU), yes)
	dh_strip -plibdrm-nouveau2 --dbg-package=libdrm-nouveau2-dbg
endif
ifeq ($(RADEON), yes)
	dh_strip -plibdrm-radeon1 --dbg-package=libdrm-radeon1-dbg
endif
ifeq ($(OMAP), yes)
	dh_strip -plibdrm-omap1 --dbg-package=libdrm-omap1-dbg
endif
ifeq ($(LIBKMS), yes)
	dh_strip -p libkms1 --dbg-package=libkms1-dbg
endif
	dh_strip -s --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibdrm2 -V'libdrm2 (>= 2.4.31)' -- -c4
ifeq ($(INTEL), yes)
	dh_makeshlibs -plibdrm-intel1 -V'libdrm-intel1 (>= 2.4.32)' -- -c4
endif
ifeq ($(NOUVEAU), yes)
	dh_makeshlibs -plibdrm-nouveau2 -V'libdrm-nouveau2 (>= 2.4.39)' -- -c4
endif
ifeq ($(RADEON), yes)
	dh_makeshlibs -plibdrm-radeon1 -V'libdrm-radeon1 (>= 2.4.31)' -- -c4
endif
ifeq ($(OMAP), yes)
	dh_makeshlibs -plibdrm-omap1 -V'libdrm-omap1' -- -c4
endif
ifeq ($(LIBKMS), yes)
	dh_makeshlibs -plibkms1 -V'libkms1' -- -c4
endif

%:
	dh $@ --with quilt,autoreconf --builddirectory=build/
