=== debian/watch ===
#git=git://anongit.freedesktop.org/mesa/drm
version=3
http://dri.freedesktop.org/libdrm/libdrm-(.*)\.tar\.gz
