## libdrm 2.4.43

=== include/drm/Makefile ===
--- 
+++ 
@@ -56,8 +56,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-pc-linux-gnu
-host_triplet = i686-pc-linux-gnu
+build_triplet = x86_64-unknown-linux-gnu
+host_triplet = x86_64-unknown-linux-gnu
 am__append_1 = vmwgfx_drm.h
 subdir = include/drm
 DIST_COMMON = $(am__klibdrminclude_HEADERS_DIST) $(srcdir)/Makefile.am \
@@ -117,16 +117,16 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/marek/dev/drm/build-aux/missing --run aclocal-1.11
+ACLOCAL = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run aclocal-1.11
 ALLOCA = 
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/marek/dev/drm/build-aux/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/marek/dev/drm/build-aux/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/marek/dev/drm/build-aux/missing --run automake-1.11
+AUTOCONF = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run automake-1.11
 AWK = gawk
-CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
+CAIRO_CFLAGS = -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
 CAIRO_LIBS = -lcairo  
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -152,22 +152,20 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/bin/ld
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBOBJS = 
 LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIBUDEV_CFLAGS =  
 LIBUDEV_LIBS = -ludev -lrt  
-LIB_MAN_DIR = $(mandir)/man$(LIB_MAN_SUFFIX)
-LIB_MAN_SUFFIX = 3
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = 
-MAKEINFO = ${SHELL} /home/marek/dev/drm/build-aux/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/missing --run makeinfo
 MANIFEST_TOOL = :
-MAN_SUBSTS = 	-e 's|__vendorversion__|"$(PACKAGE_STRING)" |' 	-e 's|__projectroot__|$(prefix)|g' 	-e 's|__apploaddir__|$(appdefaultdir)|g' 	-e 's|__appmansuffix__|$(APP_MAN_SUFFIX)|g' 	-e 's|__drivermansuffix__|$(DRIVER_MAN_SUFFIX)|g' 	-e 's|__adminmansuffix__|$(ADMIN_MAN_SUFFIX)|g' 	-e 's|__libmansuffix__|$(LIB_MAN_SUFFIX)|g' 	-e 's|__miscmansuffix__|$(MISC_MAN_SUFFIX)|g' 	-e 's|__filemansuffix__|$(FILE_MAN_SUFFIX)|g'
+MANPAGES_STYLESHEET = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
@@ -178,10 +176,10 @@
 PACKAGE = libdrm
 PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=DRI
 PACKAGE_NAME = libdrm
-PACKAGE_STRING = libdrm 2.4.40
+PACKAGE_STRING = libdrm 2.4.43
 PACKAGE_TARNAME = libdrm
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.4.40
+PACKAGE_VERSION = 2.4.43
 PATH_SEPARATOR = :
 PCIACCESS_CFLAGS =  
 PCIACCESS_LIBS = -lpciaccess  
@@ -195,14 +193,15 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VALGRIND_CFLAGS = -I/usr/include/valgrind  
-VALGRIND_LIBS = -L/usr/lib/valgrind -lcoregrind-x86-linux -lvex-x86-linux -lgcc  
-VERSION = 2.4.40
+VALGRIND_CFLAGS = -I/usr/local/include/valgrind  
+VALGRIND_LIBS = -L/usr/local/lib/valgrind -lcoregrind-amd64-linux -lvex-amd64-linux -lgcc  
+VERSION = 2.4.43
 WARN_CFLAGS =  -Wall -Wextra -Wsign-compare -Werror-implicit-function-declaration -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wpacked -Wswitch-enum -Wmissing-format-attribute -Wstrict-aliasing=2 -Winit-self -Wdeclaration-after-statement -Wold-style-definition -Wno-missing-field-initializers -Wno-unused-parameter -Wno-attributes -Wno-long-long -Winline
-abs_builddir = /home/marek/dev/drm/include/drm
-abs_srcdir = /home/marek/dev/drm/include/drm
-abs_top_builddir = /home/marek/dev/drm
-abs_top_srcdir = /home/marek/dev/drm
+XSLTPROC = /usr/bin/xsltproc
+abs_builddir = /home/mlankhorst/nfs/xorg/libdrm/include/drm
+abs_srcdir = /home/mlankhorst/nfs/xorg/libdrm/include/drm
+abs_top_builddir = /home/mlankhorst/nfs/xorg/libdrm
+abs_top_srcdir = /home/mlankhorst/nfs/xorg/libdrm
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -212,26 +211,26 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = x86_64-unknown-linux-gnu
 build_alias = 
-build_cpu = i686
+build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = x86_64-unknown-linux-gnu
 host_alias = 
-host_cpu = i686
+host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/marek/dev/drm/build-aux/install-sh
+install_sh = ${SHELL} /home/mlankhorst/nfs/xorg/libdrm/build-aux/install-sh
 kernel_source = 
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
@@ -242,7 +241,7 @@
 oldincludedir = /usr/include
 pdfdir = ${docdir}
 pkgconfigdir = ${exec_prefix}/lib/pkgconfig
-prefix = /usr
+prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
@@ -321,3 +320,11 @@
 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
 	  done | \
 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
+	      END { if (nonempty) { for (i in files) print i; }; }'`; \
+	mkid -fID $$unique
+tags: TAGS
+
+TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	set x; \
+	here=`pwd`; \
